be.fgov.ehealth.rn.baselegaldata.v1

## Class MinimalGenderInfoType

- java.lang.Object
- - be.fgov.ehealth.rn.baselegaldata.v1.MinimalGenderInfoType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:16:59+01:00",
                 comments="JAXB RI v2.2.11")
      public class MinimalGenderInfoType
      extends Object
      implements Serializable

  Java class for MinimalGenderInfoType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MinimalGenderInfoType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="GenderCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}GenderCodeType" minOccurs="0"/>
               <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinimalGenderInfoType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGenderCode()` Gets the value of the genderCode property.
    `org.joda.time.DateTime` | `getInceptionDate()` Gets the value of the inceptionDate property.
    `void` | `setGenderCode(String value)` Sets the value of the genderCode property.
    `void` | `setInceptionDate(org.joda.time.DateTime value)` Sets the value of the inceptionDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinimalGenderInfoType

          public MinimalGenderInfoType()

  - ### Method Detail

    - #### getGenderCode

          public String getGenderCode()

      Gets the value of the genderCode property.
      Returns:
        possible object is `String`

    - #### setGenderCode

          public void setGenderCode(String value)

      Sets the value of the genderCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInceptionDate

          public org.joda.time.DateTime getInceptionDate()

      Gets the value of the inceptionDate property.
      Returns:
        possible object is `String`

    - #### setInceptionDate

          public void setInceptionDate(org.joda.time.DateTime value)

      Sets the value of the inceptionDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSAUDIOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.